<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>kcalendariface.h</name>
    <path>tdepim/korganizer/</path>
    <filename>kcalendariface_8h</filename>
    <includes id="kcalendariface_8h" name="kcalendariface.h" local="yes" imported="no">kcalendariface.h</includes>
    <class kind="class">KCalendarIface</class>
    <class kind="struct">KCalendarIface::ResourceRequestReply</class>
  </compound>
  <compound kind="class">
    <name>ActionManager</name>
    <filename>classActionManager.html</filename>
    <base>KCalendarIface</base>
    <member kind="slot">
      <type>bool</type>
      <name>addResource</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>accbf0442a97f2c5aa12196aceb688608</anchor>
      <arglist>(const KURL &amp;mUrl)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>openURL</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>ad92ca17cc180c0252e083ee5ea2e8e85</anchor>
      <arglist>(const KURL &amp;url, bool merge=false)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>saveURL</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a0c407764de7a73f44ce180b8b94df471</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>saveAsURL</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>ac6dcb41aed24b12cf1b8392b75d9b3cb</anchor>
      <arglist>(const KURL &amp;kurl)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>saveModifiedURL</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a86c23c2d6e01c4ff568b454a3ba86750</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateConfig</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a7c36758295e946228a21ac6316d73d06</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>readSettings</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a6978ff8cef41b450bff9f75bf101665b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>writeSettings</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a7e2b895885a7e00557bc490efb72e3ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>actionNew</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>aa40d9bf9c776e71aac9e1d805e8dfce8</anchor>
      <arglist>(const KURL &amp;url=KURL())</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configChanged</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>abc07b27ea4e6b1a337680478a02eb6dd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>closingDown</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a8a2ff31d3197a49afc8798f22b8f920c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resourceAdded</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>acccb122a495657ae63657e78cd52a894</anchor>
      <arglist>(ResourceCalendar *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>aa67fea4661beb808261b55135d8f310f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createCalendarLocal</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a5e4b0b12d185d8d856ad323d681689d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createCalendarResources</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a2acc47384433f113c793e1787c9b123d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveCalendar</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a6f1e22f960e8ef71c543c71522d904ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveResourceCalendar</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a6c1878684f57ffef3ed3125e6c2e5b61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadResourceCalendar</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a3a6477b25f36dda9c962c655d35e6ff9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>url</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>af4dbc2e0b65f1536dab21a42ca0ddd4b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openURL</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a1b6d73e7a9a49be5f58703afa5b1a995</anchor>
      <arglist>(const TQString &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>mergeURL</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a0594b49586b052bf799183fd71bca707</anchor>
      <arglist>(const TQString &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveAsURL</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a88a6cd80d707ac6583dbbfb8517ceac4</anchor>
      <arglist>(const TQString &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeURL</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a849e9a2e768e5d5314b83551210a2fc7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getCurrentURLasString</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a12ef29c1726d34a710337b9d2c29078f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>deleteIncidence</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>abb64f073b6732214d793155da0167e93</anchor>
      <arglist>(const TQString &amp;uid, bool force=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addIncidence</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a1fcee169e70e6ee99b9428a5f81d0313</anchor>
      <arglist>(const TQString &amp;ical)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KOrg::MainWindow *</type>
      <name>findInstance</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a99b0cf05c9e904b87ff88f8f4dcc985d</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>file_new</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a471577530efae7e5b4d7a3c3431a4606</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>file_open</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a0fd3cc35b02d112aaf37d20dbfae27f5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>file_open</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a6e264c4cd94377252bd995c2e95d587a</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>file_icalimport</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a24c5c1fdd47fc87886e8fac0d751ebe5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>file_merge</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>aa1ed56310eb9f6376b10ce732dabce40</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>file_revert</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a8aaa4aacfe16d40a4f9064b18c4bf6d6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>file_archive</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>ab2ade2084ce640941c3e967083a38a79</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>file_save</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a23c94cfe03bb63aedab8942ac74e7a1a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>file_saveas</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>af9c6e47b141b3c94bdc7f98ea1b8092a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>file_close</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a1c82766362ee262bb2194b069aa2334e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>configureDateTime</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>afd45b9ebb53127e774072ee3dd075a0a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showTip</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a7172f930c06f2e2bf45bef0e9fd4e7bb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showTipOnStart</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a4e9a4157345dc5850c41ba985fc181c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>checkAutoSave</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a8c93911d35a7f8c7185c5ebafa340380</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAutoArchivingSettingsModified</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a1acc64e3e6d6b31196f2dd0326db7d21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAutoArchive</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a89df834bda415573a0a45bb161c3fa82</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KURL</type>
      <name>getSaveURL</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a0f2de765682961e43ba48d9d226c377b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQWidget *</type>
      <name>dialogParent</name>
      <anchorfile>classActionManager.html</anchorfile>
      <anchor>a7be708a068e168dad5df02c11ab19b6f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOrg::AgendaView</name>
    <filename>classKOrg_1_1AgendaView.html</filename>
    <base>KOEventView</base>
  </compound>
  <compound kind="class">
    <name>KOrg::BaseView</name>
    <filename>classKOrg_1_1BaseView.html</filename>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>showDates</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a74190f04ee61cfc5d7d6644930705d01</anchor>
      <arglist>(const TQDate &amp;start, const TQDate &amp;end)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>showIncidences</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a492ee4b1ecc4a1ba187a1707925e7079</anchor>
      <arglist>(const Incidence::List &amp;incidenceList, const TQDate &amp;date)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>updateView</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a77ec9b0385cfef0d355ea25b0e118bfd</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setIncidenceChanger</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a8dc4e4e8d17ffdde102ee70084c911b6</anchor>
      <arglist>(IncidenceChangerBase *changer)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>flushView</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a1bd62a1d3b217a475a89c69e7e16ec9c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>changeIncidenceDisplay</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a585f0a666a4fe514ac48844bedeea739</anchor>
      <arglist>(Incidence *, int)=0</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updateConfig</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>aa3a4aa1f327fbac94bc98316e72c7f01</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>clearSelection</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a8f55811dac020dac1f0f9319371b569f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventDurationHint</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a3b395c0782238ff9754b9ffd9d64b6e0</anchor>
      <arglist>(TQDateTime &amp;, TQDateTime &amp;, bool &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>showIncidenceSignal</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>ad4129e84b83587f06d6fdfd68544d012</anchor>
      <arglist>(Incidence *, const TQDate &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>editIncidenceSignal</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a641e5a8fecf17b7a4df328cef7d8a544</anchor>
      <arglist>(Incidence *, const TQDate &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>deleteIncidenceSignal</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a9531197ba7f5950aba22e596613e367e</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>cutIncidenceSignal</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a8c9b40301fe65ddada67be43508acc72</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>copyIncidenceSignal</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a043f3bff588910f4c7f6063d337e4aba</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>pasteIncidenceSignal</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>aa2a8ab8b5386989bc05d6f75572db2d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>toggleAlarmSignal</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a542312430e4930a8d3e514b32a03c27a</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dissociateOccurrenceSignal</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a293c5ecccaf2d3e4f2742c9ccbf06ae1</anchor>
      <arglist>(Incidence *, const TQDate &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dissociateFutureOccurrenceSignal</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a653645300e82bb98d94eeaae98cca1f9</anchor>
      <arglist>(Incidence *, const TQDate &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newEventSignal</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a98db957e773381f0ed33b01967b4aa7e</anchor>
      <arglist>(ResourceCalendar *res, const TQString &amp;subResource)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newEventSignal</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a3134b5a9907ccf8b4b678912854ceb51</anchor>
      <arglist>(ResourceCalendar *res, const TQString &amp;subResource, const TQDate &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newEventSignal</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>ad9ea34bbebfe6d4ee54a0c5b25672b9e</anchor>
      <arglist>(ResourceCalendar *res, const TQString &amp;subResource, const TQDateTime &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newEventSignal</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a40fa7a2d515c03d9f5080f03b229bf75</anchor>
      <arglist>(ResourceCalendar *res, const TQString &amp;subResource, const TQDateTime &amp;, const TQDateTime &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BaseView</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>aff05bb77322464e2c89e23eabef94418</anchor>
      <arglist>(Calendar *cal, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BaseView</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a742ccb365975e88c64ae32100b61e211</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a9b4eb89278bfdf483668708f3966d075</anchor>
      <arglist>(bool readonly)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Calendar *</type>
      <name>calendar</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>aed6554f2b9e469a3d97d8e9a9bb299d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ResourceCalendar *</type>
      <name>resourceCalendar</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a73310a8dd127e1b0a0acd291acfd3330</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>subResourceCalendar</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>ab8d1f5f5445566ff7ee1e6c068fffe0b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Incidence::List</type>
      <name>selectedIncidences</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>ae8c1cf14d73ad58b1c2ffc09c0a23ef0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual DateList</type>
      <name>selectedIncidenceDates</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>aba7bafdc8ac372dbaba15bf04750201a</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQDateTime</type>
      <name>selectionStart</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a559587c1ab6a9721ea56638db9bd951f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQDateTime</type>
      <name>selectionEnd</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a6fe634de096bace3eeac4bb774c72999</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>currentDateCount</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>a99cc2148ee1ed066f4dee4c4e34b83f4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEventView</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>abd095caeae8863e11c1d7342f4f42e0d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>supportsDateNavigation</name>
      <anchorfile>classKOrg_1_1BaseView.html</anchorfile>
      <anchor>aeaac180a7b9c37027543f6c0ed675f08</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOrg::CalendarDecoration</name>
    <filename>classKOrg_1_1CalendarDecoration.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>shortText</name>
      <anchorfile>classKOrg_1_1CalendarDecoration.html</anchorfile>
      <anchor>a5e050e0a0ea42363b83c928452d45ead</anchor>
      <arglist>(const TQDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>longText</name>
      <anchorfile>classKOrg_1_1CalendarDecoration.html</anchorfile>
      <anchor>a4d97d2ca4c33ea9dd3e29fcfeea852a5</anchor>
      <arglist>(const TQDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQPixmap</type>
      <name>smallPixmap</name>
      <anchorfile>classKOrg_1_1CalendarDecoration.html</anchorfile>
      <anchor>aea8e1b010ca51bf4c39006b7750515b3</anchor>
      <arglist>(const TQDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQPixmap</type>
      <name>largePixmap</name>
      <anchorfile>classKOrg_1_1CalendarDecoration.html</anchorfile>
      <anchor>a7239e985406db83ec1259bb2c977e8ea</anchor>
      <arglist>(const TQDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQWidget *</type>
      <name>smallWidget</name>
      <anchorfile>classKOrg_1_1CalendarDecoration.html</anchorfile>
      <anchor>a768d93a8087db1405bfc3ff4232741c3</anchor>
      <arglist>(TQWidget *, const TQDate &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CalendarView</name>
    <filename>classCalendarView.html</filename>
    <base>KOrg::CalendarViewBase</base>
    <base>KCal::Calendar::Observer</base>
    <member kind="slot">
      <type>void</type>
      <name>updateConfig</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>aa4b8a4dcacbcd28a766687eef5f5f0ba</anchor>
      <arglist>(const TQCString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateCategories</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a0b2d2114e3c71dcd630cdbb0b7bf8048</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>openCalendar</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a2dd41c37a8b6b9760e96984dc209c42d</anchor>
      <arglist>(const TQString &amp;filename, bool merge=false)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>saveCalendar</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>af978efae72e96f3ce8f8ecbbd3886c77</anchor>
      <arglist>(const TQString &amp;filename)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>closeCalendar</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>add056f87c202689ae0f6b16e6e50697e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>archiveCalendar</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>adf01385160e676ad104a7fba3b379529</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>addIncidence</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a6b020ec5f3ddebd578da96c66add4fc6</anchor>
      <arglist>(const TQString &amp;ical)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newEvent</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a7674cba89b6a288f22c60c03c3387e58</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newEvent</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a222a469f1cb4e5694b837d681fc2562f</anchor>
      <arglist>(ResourceCalendar *res, const TQString &amp;subRes, const TQDate &amp;startDt)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newEvent</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>aa056613afe6acb72ee2838c5a20f0c0a</anchor>
      <arglist>(ResourceCalendar *res, const TQString &amp;subRes, const TQString &amp;summary, const TQString &amp;description=TQString(), const TQStringList &amp;attachment=TQStringList(), const TQStringList &amp;attendees=TQStringList(), const TQStringList &amp;attachmentMimetypes=TQStringList(), bool inlineAttachment=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showIncidence</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>aa38bdc625648a4091c536bd1b97e9098</anchor>
      <arglist>(Incidence *, const TQDate &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>editIncidence</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a49f45b5b573092700473f6acc43563a2</anchor>
      <arglist>(Incidence *incidence, const TQDate &amp;date, bool isCounter=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteIncidence</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a7d0cacc48881f494413995d672f8920d</anchor>
      <arglist>(Incidence *, bool force=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>cutIncidence</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a2fe261a114bd5cdce98cbe51b9dffec5</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>copyIncidence</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a8ae6031a80f331746bbfa2d34ec67e55</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>pasteIncidence</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a623be6c3ac7f3f8a2482d3b7114efa5f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteSubTodosIncidence</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a4ca71b45f7e94b69a2721c63b43a8402</anchor>
      <arglist>(Todo *todo)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteTodoIncidence</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a5f90a83a8f1be7639c4d7ff710dea60f</anchor>
      <arglist>(Todo *todo, bool force=false)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>deleteEvent</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a42360a7a854498e850586fa5ba8e884f</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>deleteTodo</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a35b956fc4a9e489dcc185d507dbe3114</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>deleteJournal</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a850f39c7f880d7c6dfc62c8be7ebf004</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>deleteIncidence</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a6a778a3d570d224a3844def3d42c55b0</anchor>
      <arglist>(const TQString &amp;uid, bool force=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newTodo</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>acd10740af57c8bb8721e70c22cfeda6f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newTodo</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>aef570ef563513d784ece3816ed3a20aa</anchor>
      <arglist>(ResourceCalendar *res, const TQString &amp;subRes, const TQDate &amp;date)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newSubTodo</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a0ac95d11a2d0a3ad326fda26970ca378</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newSubTodo</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>aa07f3103f369bed4bd310092b63a8e46</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>checkClipboard</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a96d0f8056db26255b365ff861de28da6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>readSettings</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a40891a0bd7119b1a5620ce2a1910a0e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>writeSettings</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a7e793ecd8f744a6cc1b6fe0220931dfb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>readFilterSettings</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a10ad59cc49b2fd5c023bcdc37aa8afe7</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>writeFilterSettings</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>aa9fb744ab3876ad281d246e5311c0fc6</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>changeIncidenceDisplay</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a41f2935fc0d9b420dc505aacc3e19d0e</anchor>
      <arglist>(Incidence *, int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>edit_cut</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a55833939ce770640f73278cf10aa5e26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>edit_copy</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>acaf61e1a0d95174bf5023e4cb1c24c03</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>edit_paste</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a7f601cf861f7d18dc1dc4585a4ca90ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>edit_options</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>aac4d77c67e97fd7569ac6376601674d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>print</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a7f48f49c683ceb4e9c3f83d924cb7498</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>exportWeb</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a279b9f70bce6ef93005ebf23484340fa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>exportICalendar</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>ab9cf3c6ace1b196c23370efa270ade2c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>exportVCalendar</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a85d4f35813c37629f9d790e538e4f326</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>appointment_show</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>ae1af9ca8403b08a0d4daad42b3c0ef27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>appointment_edit</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a47dd1c342e575cea1b9aac18c40c87b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>appointment_delete</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a01f5195d2653f4787848785b8be9d321</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>makeSubTodosIndependent</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a357908b3f09067ef98fa481368b44686</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>makeChildrenIndependent</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>aa178f4f7bb534a92ab214df58cd6e285</anchor>
      <arglist>(Incidence *inc)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>takeOverEvent</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>aab44c69c4dbd5c861620eb04b4673e51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>takeOverCalendar</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a4b29703b3c7383686ce9e888d557e8d1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>isModified</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a98886de323db121635c5bf91b2593b05</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setModified</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>addbb05803e0a87011a196ed21ce8dfd2</anchor>
      <arglist>(bool modified=true)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a9d5fb038280ce1b5b147fc563aa871d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a26cc819b921644969f69295beaa144bb</anchor>
      <arglist>(bool readOnly=true)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateFilter</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a310e87d7d277e1981c99255417444054</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>goDate</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>aeebde54c7745cccae4ecf6b1c42d82ef</anchor>
      <arglist>(const TQDate &amp;date)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showDate</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>aa338fb39ba1bd57ce8418f62bd54b4b5</anchor>
      <arglist>(const TQDate &amp;date)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>goToday</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a8ea1f0f84e309e8069e1378e125b0533</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>goNext</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a5df101819d44e0e43f0a783e09cb4f95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>goPrevious</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>ae8b94a61d440a620539ce240ecbd19d6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>filterActivated</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a85c3a5be83bc4a3af922c7a9b69de32c</anchor>
      <arglist>(int filterNum)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectWeek</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a665869699eb8f2d98c3e0d4621ca7bd5</anchor>
      <arglist>(const TQDate &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configChanged</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>ad311610eb71e155954fd57d2f5c136e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>categoriesChanged</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>af191910435e7023773dd94533e524a6c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>closingDown</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>af610e0f7b36c7ab8cb59ffca42583965</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>closed</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a98f80f5aa033cfce2a51c0e5a3a20375</anchor>
      <arglist>(TQWidget *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>modifiedChanged</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a5c77fb2db8cd1a932f2a0539b9bb6bc7</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>readOnlyChanged</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>ada4f89ee7c52e2b35c350ba780c9b2c0</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changeNavStringPrev</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>ad60df350382b10a2111ad1de0b4185b4</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>organizerEventsSelected</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a84827c81b621124022a68f28a03fb022</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>groupEventsSelected</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a15426ed3b06b0b65bad23fb8a4852df3</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>incidenceSelected</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a8f18a3c064f10876adcd1400b7503b53</anchor>
      <arglist>(Incidence *incidence, const TQDate &amp;date)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>todoSelected</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>af80bedd676c4f956cef1319d2d82f130</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dayPassed</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a3789b96431818e71081dbdaac63d66c8</anchor>
      <arglist>(const TQDate &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>cancelAttendees</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a69fa5e742ded9b1d19af38d52e3e331b</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>pasteEnabled</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a41aeb7d54d83196d36c28f24eef45d38</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statusMessage</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a196c83df0002719d96ab829278cfb97d</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoArchivingSettingsModified</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>affd46cb2d6e7414edc58faf675d22f8b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CalendarView</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a3eec34aa7ccfb73885585ddc83618b5e</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showView</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>aab3606234a30229fcc6b187f0a391124</anchor>
      <arglist>(KOrg::BaseView *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addExtension</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>ab682f96a463e0c05283e59dffd7b6a68</anchor>
      <arglist>(CalendarViewExtension::Factory *)</arglist>
    </member>
    <member kind="function">
      <type>Incidence *</type>
      <name>currentSelection</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>ae8315a9534a5ad530a5bf55e1912343f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Incidence *</type>
      <name>selectedIncidence</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>acd838c843b32133012f0cc079b64d15a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>currentFilterName</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>aa0a1deb01264dbc2463d8440257bdbea</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>adaptNavigationUnits</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>aaf6bd6bc25568a1f73806b7f948d46c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQDate</type>
      <name>activeIncidenceDate</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a53d874867d48ddd8b24162f1098c68f1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQDate</type>
      <name>activeDate</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a37b3bb881de9ca8d919b56f148c04000</anchor>
      <arglist>(bool fallbackToToday=false)</arglist>
    </member>
    <member kind="function">
      <type>Incidence *</type>
      <name>singleOccurrenceOrAll</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a77be97d7006207f02a782b9bf86d3181</anchor>
      <arglist>(Incidence *inc, KOGlobals::OccurrenceAction userAction, KOGlobals::WhichOccurrences &amp;chosenOption, const TQDate &amp;itemDate=TQDate(), const bool commitToCalendar=false)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showDates</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>a9d8bbb53c65cfb1c478d076d745b3f43</anchor>
      <arglist>(const KCal::DateList &amp;, const TQDate &amp;preferredMonth=TQDate())</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dateTimesForNewEvent</name>
      <anchorfile>classCalendarView.html</anchorfile>
      <anchor>aa2b382ced98e9a05d1f7a81d3a2c0eba</anchor>
      <arglist>(TQDateTime &amp;startDt, TQDateTime &amp;endDt, bool &amp;allDay)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOrg::CalendarViewBase</name>
    <filename>classKOrg_1_1CalendarViewBase.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showView</name>
      <anchorfile>classKOrg_1_1CalendarViewBase.html</anchorfile>
      <anchor>a4b8a1f959f1d310ebe864f74e2b28a21</anchor>
      <arglist>(KOrg::BaseView *)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CalPrinter</name>
    <filename>classCalPrinter.html</filename>
    <base>KOrg::CalPrinterBase</base>
    <member kind="function">
      <type></type>
      <name>CalPrinter</name>
      <anchorfile>classCalPrinter.html</anchorfile>
      <anchor>a3f9241080ac269928142206201c1990c</anchor>
      <arglist>(TQWidget *par, Calendar *cal, KOrg::CoreHelper *helper)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDateRange</name>
      <anchorfile>classCalPrinter.html</anchorfile>
      <anchor>acd75b175333d5d9225dbdd0d7aeef8a7</anchor>
      <arglist>(const TQDate &amp;start, const TQDate &amp;end)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOrg::CalPrinterBase</name>
    <filename>classKOrg_1_1CalPrinterBase.html</filename>
  </compound>
  <compound kind="class">
    <name>CalPrintPluginBase</name>
    <filename>classCalPrintPluginBase.html</filename>
    <base>KOrg::PrintPlugin</base>
    <member kind="function">
      <type></type>
      <name>CalPrintPluginBase</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a4799bc036868a261e10de797e9942c56</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQWidget *</type>
      <name>createConfigWidget</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a2f04d5947a26102524e9954d0a81fd67</anchor>
      <arglist>(TQWidget *)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>print</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a828dbc71da93571c4a40f900963f065c</anchor>
      <arglist>(TQPainter &amp;p, int width, int height)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doPrint</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a66b008e6c17fe4f994c89dc1642f13ea</anchor>
      <arglist>(KPrinter *printer)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>loadConfig</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a0a250d60336645b574f4feb93906c60b</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>saveConfig</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>adef247ccef7ea033202d4e685349712d</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>doLoadConfig</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>af284a5468f4dc25715547a19383f6f3c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>doSaveConfig</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a0cf9a47ee76674bbb75fa9440da08cdc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKOrgCoreHelper</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>acba15a0c6d4f0222ea7430a57db28229</anchor>
      <arglist>(KOrg::CoreHelper *helper)</arglist>
    </member>
    <member kind="function">
      <type>TQColor</type>
      <name>categoryBgColor</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a1d766b573efc0572690cc4799399b559</anchor>
      <arglist>(Incidence *incidence)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>headerHeight</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a47a08fe2cdb92361e63a960e2a6375dd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>footerHeight</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a0c0bb5539d8239793dd69aaf5c0bd02d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printEventString</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a053ecdb67df782e68c6d26a861eead72</anchor>
      <arglist>(TQPainter &amp;p, const TQRect &amp;box, const TQString &amp;str, int flags=-1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showEventBox</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a5ee5c6e2b4e2c5b721fc92eff5144956</anchor>
      <arglist>(TQPainter &amp;p, int linewidth, const TQRect &amp;box, Incidence *incidence, const TQString &amp;str, int flags=-1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawSubHeaderBox</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a48c669ab62fa2f1861058b65f807f207</anchor>
      <arglist>(TQPainter &amp;p, const TQString &amp;str, const TQRect &amp;box)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawVerticalBox</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>ab91e5ba6b10330868dcfd1b7f4999472</anchor>
      <arglist>(TQPainter &amp;p, int linewidth, const TQRect &amp;box, const TQString &amp;str, int flags=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>drawBoxWithCaption</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a414523ed802a28c3996925c1ac61a150</anchor>
      <arglist>(TQPainter &amp;p, const TQRect &amp;box, const TQString &amp;caption, const TQString &amp;contents, bool sameLine, bool expand, const TQFont &amp;captionFont, const TQFont &amp;textFont)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>drawHeader</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>aa8bc2c77d58de82a3f4a93cfc898cf15</anchor>
      <arglist>(TQPainter &amp;p, TQString title, const TQDate &amp;month1, const TQDate &amp;month2, const TQRect &amp;box, bool expand=false)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>drawFooter</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>afc0baf62ebc93037ec1638042e24e81a</anchor>
      <arglist>(TQPainter &amp;p, TQRect &amp;box)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawSmallMonth</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a189ee070da005e48805fecf3958795f0</anchor>
      <arglist>(TQPainter &amp;p, const TQDate &amp;qd, const TQRect &amp;box)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawDaysOfWeek</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a0757f7722de999b58a329ac8cbda6950</anchor>
      <arglist>(TQPainter &amp;p, const TQDate &amp;fromDate, const TQDate &amp;toDate, const TQRect &amp;box)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawDaysOfWeekBox</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a7b7c5041c99eca434711e82a895fa4a6</anchor>
      <arglist>(TQPainter &amp;p, const TQDate &amp;qd, const TQRect &amp;box)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawTimeLine</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>ada13451bb016f5a10050134bf690963c</anchor>
      <arglist>(TQPainter &amp;p, const TQTime &amp;fromTime, const TQTime &amp;toTime, const TQRect &amp;box)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>drawAllDayBox</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a82819d6e898a15d4767903e75c1331e7</anchor>
      <arglist>(TQPainter &amp;p, Event::List &amp;eventList, const TQDate &amp;qd, bool expandable, const TQRect &amp;box)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawAgendaDayBox</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>afcfc17dc9ca7bc2cc974e54e5ecce28b</anchor>
      <arglist>(TQPainter &amp;p, Event::List &amp;eventList, const TQDate &amp;qd, bool expandable, TQTime &amp;fromTime, TQTime &amp;toTime, const TQRect &amp;box)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawDayBox</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a5a52947d93158fd54cbc8f86f476ffba</anchor>
      <arglist>(TQPainter &amp;p, const TQDate &amp;qd, const TQRect &amp;box, bool fullDate=false, bool printRecurDaily=true, bool printRecurWeekly=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawWeek</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>aeff68d95a2cd6d2c70b4e44e3299633b</anchor>
      <arglist>(TQPainter &amp;p, const TQDate &amp;qd, const TQRect &amp;box)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawTimeTable</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a75bed0611546ea27fa40bcafda6204e2</anchor>
      <arglist>(TQPainter &amp;p, const TQDate &amp;fromDate, const TQDate &amp;toDate, TQTime &amp;fromTime, TQTime &amp;toTime, const TQRect &amp;box)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawMonthTable</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a82374ad094dedd9d00c9499c74e0abb0</anchor>
      <arglist>(TQPainter &amp;p, const TQDate &amp;qd, bool weeknumbers, bool recurDaily, bool recurWeekly, const TQRect &amp;box)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawMonth</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a105f542f694191439f5a36a94c1f7be7</anchor>
      <arglist>(TQPainter &amp;p, const TQDate &amp;dt, const TQRect &amp;box, int maxdays=-1, int subDailyFlags=TimeBoxes, int holidaysFlags=Text)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawTodo</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a9ef0aaada86864cd6150c531989ad3d2</anchor>
      <arglist>(int &amp;count, Todo *todo, TQPainter &amp;p, TodoSortField sortField, SortDirection sortDir, bool connectSubTodos, bool strikeoutCompleted, bool desc, int posPriority, int posSummary, int posDueDt, int posPercentComplete, int level, int x, int &amp;y, int width, int pageHeight, const Todo::List &amp;todoList, TodoParentStart *r=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawJournal</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a7d5cf9089174ee97a2efb7d3b0777e69</anchor>
      <arglist>(Journal *journal, TQPainter &amp;p, int x, int &amp;y, int width, int pageHeight)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>weekdayColumn</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a8f72b52330caa8dc9afbe1d97bcf98b8</anchor>
      <arglist>(int weekday)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>drawBox</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a3fe0db11653ed5272dfe31525600bbc8</anchor>
      <arglist>(TQPainter &amp;p, int linewidth, const TQRect &amp;rect)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>drawShadedBox</name>
      <anchorfile>classCalPrintPluginBase.html</anchorfile>
      <anchor>a9f6704e4cc7ec04fc0cc96ad46cb9b9e</anchor>
      <arglist>(TQPainter &amp;p, int linewidth, const TQBrush &amp;brush, const TQRect &amp;rect)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigDialog</name>
    <filename>classConfigDialog.html</filename>
  </compound>
  <compound kind="class">
    <name>Converter</name>
    <filename>classConverter.html</filename>
  </compound>
  <compound kind="class">
    <name>DateNavigator</name>
    <filename>classDateNavigator.html</filename>
  </compound>
  <compound kind="class">
    <name>DynamicTip</name>
    <filename>classDynamicTip.html</filename>
    <member kind="function">
      <type></type>
      <name>DynamicTip</name>
      <anchorfile>classDynamicTip.html</anchorfile>
      <anchor>a6044144851b2f6337d53f8aa5c5382eb</anchor>
      <arglist>(TQWidget *parent)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>maybeTip</name>
      <anchorfile>classDynamicTip.html</anchorfile>
      <anchor>a426a5063c3b05aa16ed9bdb6a63dc8e0</anchor>
      <arglist>(const TQPoint &amp;pos)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>EventArchiver</name>
    <filename>classEventArchiver.html</filename>
    <member kind="function">
      <type>void</type>
      <name>runOnce</name>
      <anchorfile>classEventArchiver.html</anchorfile>
      <anchor>a49a1492d908987cb188374dd013ed21f</anchor>
      <arglist>(Calendar *calendar, const TQDate &amp;limitDate, TQWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>runAuto</name>
      <anchorfile>classEventArchiver.html</anchorfile>
      <anchor>acaa93d60f34547684d9e388ed56d88f8</anchor>
      <arglist>(Calendar *calendar, TQWidget *widget, bool withGUI)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ExportWebDialog</name>
    <filename>classExportWebDialog.html</filename>
  </compound>
  <compound kind="class">
    <name>FilterEditDialog</name>
    <filename>classFilterEditDialog.html</filename>
  </compound>
  <compound kind="class">
    <name>FreeBusyDownloadJob</name>
    <filename>classFreeBusyDownloadJob.html</filename>
  </compound>
  <compound kind="class">
    <name>Holiday</name>
    <filename>classHoliday.html</filename>
  </compound>
  <compound kind="class">
    <name>KCalendarIface</name>
    <filename>classKCalendarIface.html</filename>
    <class kind="struct">KCalendarIface::ResourceRequestReply</class>
  </compound>
  <compound kind="class">
    <name>KOAgendaView</name>
    <filename>classKOAgendaView.html</filename>
    <base>KOrg::AgendaView</base>
    <base>KCal::Calendar::Observer</base>
    <member kind="slot">
      <type>void</type>
      <name>slotTodoDropped</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>ae2e485978e4eaedf413ab15d2b128b7d</anchor>
      <arglist>(Todo *, const TQPoint &amp;, bool)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>maxDatesHint</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>a7ca46b6b5ad0311aa852682504f4298f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>currentDateCount</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>ae28fa236464901baa6c1422e8bc5eccf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Incidence::List</type>
      <name>selectedIncidences</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>ae6f2b52fbe6e51931a7c12da56c47c75</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DateList</type>
      <name>selectedIncidenceDates</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>ac8527d767d5749c2d42e6f8f6513d664</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventDurationHint</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>ae327db2cee57f147600f359d55035615</anchor>
      <arglist>(TQDateTime &amp;startDt, TQDateTime &amp;endDt, bool &amp;allDay)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearView</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>a7fce3812821ad2107baf7c174ee02df5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQDateTime</type>
      <name>selectionStart</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>abd2eae093d8a5b97a626289e6e0e7562</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQDateTime</type>
      <name>selectionEnd</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>a796eb13514bb2e3d697ef377b21b8917</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>selectedIsAllDay</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>afa74a3312df104a2b36a0544b448ef5d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteSelectedDateTime</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>ae6c1d3455e46f4be77c407726f8bdf3c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>selectedIsSingleCell</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>a1c10ada402b21fe32cc799d5bb5bfa5f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateEventDates</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>ac17560f974200ae800f2a6ae7fe9e166</anchor>
      <arglist>(KOAgendaItem *item)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>doUpdateItem</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>a2b2b820969c199d84a5a444cce57b6c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>newTimeSpanSelected</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>ad2e7b99573faf90aca2d30e05a450248</anchor>
      <arglist>(const TQPoint &amp;start, const TQPoint &amp;end)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>newTimeSpanSelectedAllDay</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>a7070aae876e63e8f4ac2ed729490a095</anchor>
      <arglist>(const TQPoint &amp;start, const TQPoint &amp;end)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>fillAgenda</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>a24adf0b062851b1773b9294d6ac11f3b</anchor>
      <arglist>(const TQDate &amp;startDate)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>fillAgenda</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>a77d2c5326e49f0429ce14b9017012495</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createDayLabels</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>a901b9e61e9c4b56726ffbe09662ab887</anchor>
      <arglist>(bool force)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setHolidayMasks</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>aa6b4dbef866d58c09fa827471241314f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateEventIndicators</name>
      <anchorfile>classKOAgendaView.html</anchorfile>
      <anchor>a911f2d012676367fe606cbbc253466c4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOAttendeeEditor</name>
    <filename>classKOAttendeeEditor.html</filename>
    <member kind="function">
      <type>void</type>
      <name>cancelAttendeeEvent</name>
      <anchorfile>classKOAttendeeEditor.html</anchorfile>
      <anchor>aeb0829d6ca0e8e26865e82085ad0f360</anchor>
      <arglist>(KCal::Incidence *incidence)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>insertAttendeeFromAddressee</name>
      <anchorfile>classKOAttendeeEditor.html</anchorfile>
      <anchor>a5eed72f2a1bed93d97d8447896a4b887</anchor>
      <arglist>(const TDEABC::Addressee &amp;a, const KCal::Attendee *at=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOAttendeeListView</name>
    <filename>classKOAttendeeListView.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KOAttendeeListView</name>
      <anchorfile>classKOAttendeeListView.html</anchorfile>
      <anchor>a9fe78af447ed9b05aa309f06fbace4d1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOCounterDialog</name>
    <filename>classKOCounterDialog.html</filename>
  </compound>
  <compound kind="class">
    <name>KODayMatrix</name>
    <filename>classKODayMatrix.html</filename>
    <base>KCal::Calendar::Observer</base>
    <member kind="slot">
      <type>void</type>
      <name>updateView</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>a15cd90dbe04a3cd6f4a4e25aabe4e045</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>recalculateToday</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>ae4d9d5029504158323eb0a7bb86139e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>resourcesChanged</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>af967f39bbec79e36d43d6a4c4be89845</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selected</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>a0a811e7eac9bfdbe3a41eb19ecbc433c</anchor>
      <arglist>(const KCal::DateList &amp;daylist)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>incidenceDropped</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>a2483a19f0355f2ad3f342fe1bfaadb5a</anchor>
      <arglist>(Incidence *incidence, const TQDate &amp;dt)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>incidenceDroppedMove</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>aaeb74559737070ed3646560fe3adeb5f</anchor>
      <arglist>(Incidence *oldincidence, const TQDate &amp;dt)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KODayMatrix</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>ae8b36a440876f10248dc194774e66046</anchor>
      <arglist>(TQWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KODayMatrix</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>a5b08291b841f604f2d004d1ff8a2f06e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCalendar</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>a2decab232c796f7c7d2a182a81ad6d79</anchor>
      <arglist>(Calendar *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateView</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>aad55fa380b192f0b0bf1f073cca97fc0</anchor>
      <arglist>(const TQDate &amp;actdate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateEvents</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>a4d037fb47a9bf6303588dd4426f6d8c3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQDate &amp;</type>
      <name>getDate</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>ae33ca55a3a6013eb709291b9c95cb2cd</anchor>
      <arglist>(int offset)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getHolidayLabel</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>aa07c863024421a16f7e55c37a99735cd</anchor>
      <arglist>(int offset)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSelectedDaysTo</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>ab5a488a8b29dd05a328d145ae5e94d8c</anchor>
      <arglist>(DateList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelectedDaysFrom</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>a8db4c0b30ab5225be4741a353de8927f</anchor>
      <arglist>(const TQDate &amp;start, const TQDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearSelection</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>aedc61a492a26dbbbf6cdb94ff4c02159</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTodayVisible</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>a2e4dd143145a60141a0b6e0c9b3bf3eb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isBeginningOfMonth</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>ad3627b1777bf0ee3afa35b8f98bb2239</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQPair&lt; TQDate, TQDate &gt;</type>
      <name>matrixLimits</name>
      <anchorfile>classKODayMatrix.html</anchorfile>
      <anchor>a7f5c155d52df82daad4de4e96d376062</anchor>
      <arglist>(const TQDate &amp;month)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KODialogManager</name>
    <filename>classKODialogManager.html</filename>
    <member kind="function">
      <type>KOIncidenceEditor *</type>
      <name>getEditor</name>
      <anchorfile>classKODialogManager.html</anchorfile>
      <anchor>a4e630f32594bfd4c9b34988f48d99a82</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function">
      <type>KOEventEditor *</type>
      <name>getEventEditor</name>
      <anchorfile>classKODialogManager.html</anchorfile>
      <anchor>a8a557ac6ed90eb72820c11ab564a3ecb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KOTodoEditor *</type>
      <name>getTodoEditor</name>
      <anchorfile>classKODialogManager.html</anchorfile>
      <anchor>ac23ec920b075b8695b050d8945956222</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KOJournalEditor *</type>
      <name>getJournalEditor</name>
      <anchorfile>classKODialogManager.html</anchorfile>
      <anchor>a33dc670ac7efe8e139224a1357a323ad</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOEventEditor</name>
    <filename>classKOEventEditor.html</filename>
    <base>KOIncidenceEditor</base>
    <member kind="function">
      <type></type>
      <name>KOEventEditor</name>
      <anchorfile>classKOEventEditor.html</anchorfile>
      <anchor>af2923d5594f450e4cac0ec946534e140</anchor>
      <arglist>(Calendar *calendar, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>classKOEventEditor.html</anchorfile>
      <anchor>a6f0eb017063791ad8b223b3bd1b96fda</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classKOEventEditor.html</anchorfile>
      <anchor>a4bc29400203a5f3f2498aa64cb0fea8a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>newEvent</name>
      <anchorfile>classKOEventEditor.html</anchorfile>
      <anchor>aff9b16dd572f5cce0c9a37f7683c2d78</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTexts</name>
      <anchorfile>classKOEventEditor.html</anchorfile>
      <anchor>a8fae96729fbbdd27d978bd77a894caff</anchor>
      <arglist>(const TQString &amp;summary, const TQString &amp;description=TQString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>editIncidence</name>
      <anchorfile>classKOEventEditor.html</anchorfile>
      <anchor>affd933136f4b67ed3c05026783f13a2e</anchor>
      <arglist>(Incidence *incidence, const TQDate &amp;date, Calendar *calendar)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDates</name>
      <anchorfile>classKOEventEditor.html</anchorfile>
      <anchor>a4d7803dbf3076cefd437134eca64871e</anchor>
      <arglist>(const TQDateTime &amp;from, const TQDateTime &amp;to, bool allDay)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readEvent</name>
      <anchorfile>classKOEventEditor.html</anchorfile>
      <anchor>ac7b0cd6118a97bc0aa61c9a0d2291c09</anchor>
      <arglist>(Event *event, Calendar *calendar, const TQDate &amp;date, bool tmpl=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeEvent</name>
      <anchorfile>classKOEventEditor.html</anchorfile>
      <anchor>a5154d07d019eb8d109a33231d8e8dd10</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>validateInput</name>
      <anchorfile>classKOEventEditor.html</anchorfile>
      <anchor>a2e66ad1ffa33af339f88d073a87f7580</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>processInput</name>
      <anchorfile>classKOEventEditor.html</anchorfile>
      <anchor>ac6043be756af7724541bccea23735bfd</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOEventView</name>
    <filename>classKOEventView.html</filename>
    <base>KOrg::BaseView</base>
    <member kind="slot">
      <type>void</type>
      <name>defaultAction</name>
      <anchorfile>classKOEventView.html</anchorfile>
      <anchor>ad39bb0c8cff2509f30a9cc76ed5bd4d7</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>datesSelected</name>
      <anchorfile>classKOEventView.html</anchorfile>
      <anchor>ab249f3fb39c0b80ce8c7e8a7857e8fe6</anchor>
      <arglist>(const DateList)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>shiftedEvent</name>
      <anchorfile>classKOEventView.html</anchorfile>
      <anchor>a3440ada970e7f772d218a60f79a4999a</anchor>
      <arglist>(const TQDate &amp;olddate, const TQDate &amp;newdate)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOEventView</name>
      <anchorfile>classKOEventView.html</anchorfile>
      <anchor>a008a20ff0ad6f5abd29512fafe7e99ea</anchor>
      <arglist>(Calendar *cal, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KOEventView</name>
      <anchorfile>classKOEventView.html</anchorfile>
      <anchor>a2285ba3d39b471261a82daa0f8b627dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>maxDatesHint</name>
      <anchorfile>classKOEventView.html</anchorfile>
      <anchor>aafa2dbea0f4828467a6251e452ce08a9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>KOEventPopupMenu *</type>
      <name>eventPopup</name>
      <anchorfile>classKOEventView.html</anchorfile>
      <anchor>a3c1a835b35d1cc460c4eed24ce9fa28c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQPopupMenu *</type>
      <name>newEventPopup</name>
      <anchorfile>classKOEventView.html</anchorfile>
      <anchor>a0f8014947964097ffc150f8cf57230d8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEventView</name>
      <anchorfile>classKOEventView.html</anchorfile>
      <anchor>abb4792f2ff801f6d44dd5e1df7e313e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>supportsDateNavigation</name>
      <anchorfile>classKOEventView.html</anchorfile>
      <anchor>aeb23de6a424b1000346a4d9611f791e7</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOEventViewer</name>
    <filename>classKOEventViewer.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setIncidence</name>
      <anchorfile>classKOEventViewer.html</anchorfile>
      <anchor>a284005e898f869ebf21f8421a945a16f</anchor>
      <arglist>(Incidence *incidence, const TQDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSource</name>
      <anchorfile>classKOEventViewer.html</anchorfile>
      <anchor>aed9f4bd736ff06a5508ac3b578936f42</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCalendar</name>
      <anchorfile>classKOEventViewer.html</anchorfile>
      <anchor>a57972a323a05a53cb39f9feb9d15a3b4</anchor>
      <arglist>(Calendar *calendar)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearEvents</name>
      <anchorfile>classKOEventViewer.html</anchorfile>
      <anchor>a4d7f01eabc4f384114ea933671154cda</anchor>
      <arglist>(bool now=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addText</name>
      <anchorfile>classKOEventViewer.html</anchorfile>
      <anchor>afd6ed114647d767d993e0b6dc6fa6404</anchor>
      <arglist>(const TQString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultText</name>
      <anchorfile>classKOEventViewer.html</anchorfile>
      <anchor>afab89439c55ffb72f5b4e2a6e13f07fe</anchor>
      <arglist>(const TQString &amp;text)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOEventViewerDialog</name>
    <filename>classKOEventViewerDialog.html</filename>
  </compound>
  <compound kind="class">
    <name>KOIncidenceEditor</name>
    <filename>classKOIncidenceEditor.html</filename>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>editIncidence</name>
      <anchorfile>classKOIncidenceEditor.html</anchorfile>
      <anchor>ab881549d02848c1e33d6391cbea03845</anchor>
      <arglist>(Incidence *, const TQDate &amp;, Calendar *)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>init</name>
      <anchorfile>classKOIncidenceEditor.html</anchorfile>
      <anchor>ad2255b30dfede556955cbe786d26e3c5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>addAttachments</name>
      <anchorfile>classKOIncidenceEditor.html</anchorfile>
      <anchor>a7a55f89e7fd061933aece25669373667</anchor>
      <arglist>(const TQStringList &amp;attachments, const TQStringList &amp;mimeTypes=TQStringList(), bool inlineAttachment=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>addAttendees</name>
      <anchorfile>classKOIncidenceEditor.html</anchorfile>
      <anchor>a68be1d060196d45e4cbaeeb6c80d3bdc</anchor>
      <arglist>(const TQStringList &amp;attendees)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOIncidenceEditor</name>
      <anchorfile>classKOIncidenceEditor.html</anchorfile>
      <anchor>a2d1ee04e309dfe28cceefb67f1a8b4eb</anchor>
      <arglist>(const TQString &amp;caption, Calendar *calendar, TQWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>modified</name>
      <anchorfile>classKOIncidenceEditor.html</anchorfile>
      <anchor>a1312d7ea3490285f7ca3d6736235537d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRecurringIncidence</name>
      <anchorfile>classKOIncidenceEditor.html</anchorfile>
      <anchor>a392ad1ade168db0b948d56acb255f1fe</anchor>
      <arglist>(Incidence *originalIncidence, Incidence *incAfterDissociation)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>processInput</name>
      <anchorfile>classKOIncidenceEditor.html</anchorfile>
      <anchor>ad47c7e5e5ed3354948810eceff867824</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOIncidenceToolTip</name>
    <filename>classKOIncidenceToolTip.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>add</name>
      <anchorfile>classKOIncidenceToolTip.html</anchorfile>
      <anchor>a1245250ba7f60268f71ad844432407a0</anchor>
      <arglist>(TQWidget *widget, Calendar *calendar, Incidence *incidence, const TQDate &amp;date=TQDate(), TQToolTipGroup *group=0, const TQString &amp;longText=&quot;&quot;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOJournalEditor</name>
    <filename>classKOJournalEditor.html</filename>
    <base>KOIncidenceEditor</base>
    <member kind="function">
      <type></type>
      <name>KOJournalEditor</name>
      <anchorfile>classKOJournalEditor.html</anchorfile>
      <anchor>a0167368a1bf6f8519ab2140d0391fd84</anchor>
      <arglist>(Calendar *calendar, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>classKOJournalEditor.html</anchorfile>
      <anchor>a8bea853184a8c927df984ce46bf96410</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>newJournal</name>
      <anchorfile>classKOJournalEditor.html</anchorfile>
      <anchor>a1f806ba2efde43f7ba247649bff6945e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTexts</name>
      <anchorfile>classKOJournalEditor.html</anchorfile>
      <anchor>aa696a347217c7615d8bb191f5a726d07</anchor>
      <arglist>(const TQString &amp;summary, const TQString &amp;description=TQString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>editIncidence</name>
      <anchorfile>classKOJournalEditor.html</anchorfile>
      <anchor>a59687dc56174acfec8d535681c23109d</anchor>
      <arglist>(Incidence *, const TQDate &amp;date, Calendar *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDate</name>
      <anchorfile>classKOJournalEditor.html</anchorfile>
      <anchor>a9b76dc8a2e56899de302daaffdd7c2ff</anchor>
      <arglist>(const TQDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readJournal</name>
      <anchorfile>classKOJournalEditor.html</anchorfile>
      <anchor>ae13d0d11d25a3176ded57835f1103283</anchor>
      <arglist>(Journal *, const TQDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeJournal</name>
      <anchorfile>classKOJournalEditor.html</anchorfile>
      <anchor>abc015da51cb1a2eaa1526a336780e36c</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>validateInput</name>
      <anchorfile>classKOJournalEditor.html</anchorfile>
      <anchor>a72c0f2a880081da12e1f1c2cddff8f9b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>processInput</name>
      <anchorfile>classKOJournalEditor.html</anchorfile>
      <anchor>ab287a844ee6b5214bcc2248469e4f110</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classKOJournalEditor.html</anchorfile>
      <anchor>a2f9cd9e1ab23f3b46ba1468e2d23fdb0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOJournalView</name>
    <filename>classKOJournalView.html</filename>
    <base>KOrg::BaseView</base>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>currentDateCount</name>
      <anchorfile>classKOJournalView.html</anchorfile>
      <anchor>ab40169ecc6bc47a4a0c9858b5966f3c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Incidence::List</type>
      <name>selectedIncidences</name>
      <anchorfile>classKOJournalView.html</anchorfile>
      <anchor>a73f61e1fa11bab3f4d34a203e4b37d18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DateList</type>
      <name>selectedIncidenceDates</name>
      <anchorfile>classKOJournalView.html</anchorfile>
      <anchor>a7d3494236eb756868419018ec263d5e8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOListView</name>
    <filename>classKOListView.html</filename>
    <base>KOEventView</base>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>maxDatesHint</name>
      <anchorfile>classKOListView.html</anchorfile>
      <anchor>a86f5abd8ec1326e154083881d145b3c8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>currentDateCount</name>
      <anchorfile>classKOListView.html</anchorfile>
      <anchor>a2b1d0181c0347dcc5e5d70731fe90373</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Incidence::List</type>
      <name>selectedIncidences</name>
      <anchorfile>classKOListView.html</anchorfile>
      <anchor>afd3a39a1a1476b3949e711838ffdd61f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DateList</type>
      <name>selectedIncidenceDates</name>
      <anchorfile>classKOListView.html</anchorfile>
      <anchor>a72693dd3a44205138b2b5263212432fc</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOMonthView</name>
    <filename>classKOMonthView.html</filename>
    <base>KOEventView</base>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>maxDatesHint</name>
      <anchorfile>classKOMonthView.html</anchorfile>
      <anchor>ac202b5d462f83db0153c07e5494586a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>currentDateCount</name>
      <anchorfile>classKOMonthView.html</anchorfile>
      <anchor>a86bd143a74f9dbf8292e8ee1476035fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Incidence::List</type>
      <name>selectedIncidences</name>
      <anchorfile>classKOMonthView.html</anchorfile>
      <anchor>a90e44b985414e47682b41f7419a7f8aa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DateList</type>
      <name>selectedIncidenceDates</name>
      <anchorfile>classKOMonthView.html</anchorfile>
      <anchor>a599bab609e83f15c643a60b9b3180c8f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQDateTime</type>
      <name>selectionStart</name>
      <anchorfile>classKOMonthView.html</anchorfile>
      <anchor>ae06d7d2bbe5d6de744ef602982419ca7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQDateTime</type>
      <name>selectionEnd</name>
      <anchorfile>classKOMonthView.html</anchorfile>
      <anchor>a71df17070980bdd686bd87f7bb83f643</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventDurationHint</name>
      <anchorfile>classKOMonthView.html</anchorfile>
      <anchor>a0f48780e81a2e60622320f1b5e779b81</anchor>
      <arglist>(TQDateTime &amp;startDt, TQDateTime &amp;endDt, bool &amp;allDay)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOProjectView</name>
    <filename>classKOProjectView.html</filename>
    <base>KOrg::BaseView</base>
    <member kind="function">
      <type>Incidence::List</type>
      <name>selectedIncidences</name>
      <anchorfile>classKOProjectView.html</anchorfile>
      <anchor>afe1c0473ff793397b88ac770354a80cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentDateCount</name>
      <anchorfile>classKOProjectView.html</anchorfile>
      <anchor>a26bdd4379d67ff6b0434cb70c408edcd</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOProjectViewItem</name>
    <filename>classKOProjectViewItem.html</filename>
  </compound>
  <compound kind="class">
    <name>KOrganizer</name>
    <filename>classKOrganizer.html</filename>
    <base>KOrg::MainWindow</base>
    <member kind="slot">
      <type>void</type>
      <name>showStatusMessage</name>
      <anchorfile>classKOrganizer.html</anchorfile>
      <anchor>acc370c6d38a6447a90e49ade8598f190</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOrganizer</name>
      <anchorfile>classKOrganizer.html</anchorfile>
      <anchor>a77d19583893b312fbcdc17645539aa4d</anchor>
      <arglist>(const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>ActionManager *</type>
      <name>actionManager</name>
      <anchorfile>classKOrganizer.html</anchorfile>
      <anchor>a1ab66fe04bf28e70eedf29ea83c2c8b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TDEActionCollection *</type>
      <name>getActionCollection</name>
      <anchorfile>classKOrganizer.html</anchorfile>
      <anchor>a331fa76a23f901295196e0c068310d98</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openURL</name>
      <anchorfile>classKOrganizer.html</anchorfile>
      <anchor>a647e98bca3306de41e3c349cf767a953</anchor>
      <arglist>(const KURL &amp;url, bool merge=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveURL</name>
      <anchorfile>classKOrganizer.html</anchorfile>
      <anchor>a89899f6aeeea7c3c3cd47c64de2875c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveAsURL</name>
      <anchorfile>classKOrganizer.html</anchorfile>
      <anchor>acd4a2c628e1eaa15128f7bec95bba0e2</anchor>
      <arglist>(const KURL &amp;kurl)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>getCurrentURL</name>
      <anchorfile>classKOrganizer.html</anchorfile>
      <anchor>a91d7bc9ce368034232dcab9ea21588a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KXMLGUIFactory *</type>
      <name>mainGuiFactory</name>
      <anchorfile>classKOrganizer.html</anchorfile>
      <anchor>a6f1af46cbef2fb1c23259d99c7f10ea6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KXMLGUIClient *</type>
      <name>mainGuiClient</name>
      <anchorfile>classKOrganizer.html</anchorfile>
      <anchor>a67036e13267623a1ebc8ce41e7f91070</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQWidget *</type>
      <name>topLevelWidget</name>
      <anchorfile>classKOrganizer.html</anchorfile>
      <anchor>ab2b6abaca6a3b0baaa3462ff2df9eb4b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>readSettings</name>
      <anchorfile>classKOrganizer.html</anchorfile>
      <anchor>abdb0b89e9e77a9261e8fd45be4b54d5b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>writeSettings</name>
      <anchorfile>classKOrganizer.html</anchorfile>
      <anchor>a6844661c72bc19e2d882a507744698ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKOrganizer.html</anchorfile>
      <anchor>ae94ce9e3af3e842d3c7f79df518462f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>queryClose</name>
      <anchorfile>classKOrganizer.html</anchorfile>
      <anchor>a0ac3390492369adb4fcb52402c2e527a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOTimelineView</name>
    <filename>classKOTimelineView.html</filename>
    <base>KOEventView</base>
    <member kind="function" virtualness="virtual">
      <type>virtual KCal::ListBase&lt; KCal::Incidence &gt;</type>
      <name>selectedIncidences</name>
      <anchorfile>classKOTimelineView.html</anchorfile>
      <anchor>a41ea04743701ca606c053dd744a446eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KCal::DateList</type>
      <name>selectedIncidenceDates</name>
      <anchorfile>classKOTimelineView.html</anchorfile>
      <anchor>abd038e0d80032080272200b9d0dec797</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>currentDateCount</name>
      <anchorfile>classKOTimelineView.html</anchorfile>
      <anchor>ae69d4b460f1f43193322b88160874d49</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>showDates</name>
      <anchorfile>classKOTimelineView.html</anchorfile>
      <anchor>a3135c88281908973c5812fd0fbc80686</anchor>
      <arglist>(const TQDate &amp;, const TQDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>updateView</name>
      <anchorfile>classKOTimelineView.html</anchorfile>
      <anchor>a8e8e576d2583a63e126e235614168daf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>changeIncidenceDisplay</name>
      <anchorfile>classKOTimelineView.html</anchorfile>
      <anchor>afe8ddb031cc90b8435c73a5f83ae9021</anchor>
      <arglist>(KCal::Incidence *incidence, int mode)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>maxDatesHint</name>
      <anchorfile>classKOTimelineView.html</anchorfile>
      <anchor>a2ceb9ca237b84d95d0db46ec3d0810cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventDurationHint</name>
      <anchorfile>classKOTimelineView.html</anchorfile>
      <anchor>a6e529f05aeb3bd03c1a305b5fa8a770b</anchor>
      <arglist>(TQDateTime &amp;startDt, TQDateTime &amp;endDt, bool &amp;allDay)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOTodoEditor</name>
    <filename>classKOTodoEditor.html</filename>
    <base>KOIncidenceEditor</base>
    <member kind="function">
      <type></type>
      <name>KOTodoEditor</name>
      <anchorfile>classKOTodoEditor.html</anchorfile>
      <anchor>a6eea4d1bd15b603615fde4424ce70303</anchor>
      <arglist>(Calendar *calendar, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>classKOTodoEditor.html</anchorfile>
      <anchor>a3371d4650525a40353bf21c04419ad96</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>newTodo</name>
      <anchorfile>classKOTodoEditor.html</anchorfile>
      <anchor>a60a8eb0572988836150f4634d7cd25d1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTexts</name>
      <anchorfile>classKOTodoEditor.html</anchorfile>
      <anchor>a35b907d5bcf3508498d32855e0251bcd</anchor>
      <arglist>(const TQString &amp;summary, const TQString &amp;description=TQString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>editIncidence</name>
      <anchorfile>classKOTodoEditor.html</anchorfile>
      <anchor>a95d8a8f55e3c75a3ef2ee597ffef0646</anchor>
      <arglist>(Incidence *incidence, const TQDate &amp;date, Calendar *calendar)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDates</name>
      <anchorfile>classKOTodoEditor.html</anchorfile>
      <anchor>a5e5f05145db5f76f6dd9286a61084170</anchor>
      <arglist>(const TQDateTime &amp;due, bool allDay=true, Todo *relatedTodo=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readTodo</name>
      <anchorfile>classKOTodoEditor.html</anchorfile>
      <anchor>a2bd7a7b079d0e740a3d33ab1cb8e1501</anchor>
      <arglist>(Todo *todo, Calendar *calendar, const TQDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeTodo</name>
      <anchorfile>classKOTodoEditor.html</anchorfile>
      <anchor>a717cff6e77de1d5e45d78a5c0ed5ca2d</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>validateInput</name>
      <anchorfile>classKOTodoEditor.html</anchorfile>
      <anchor>a8d5fe459a31d9054f2624c61bad7aeec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>processInput</name>
      <anchorfile>classKOTodoEditor.html</anchorfile>
      <anchor>a74c8cb13f30856e6d55e98cad077729a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classKOTodoEditor.html</anchorfile>
      <anchor>af3a2971c43be3e6825efa35c73c96954</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOTodoView</name>
    <filename>classKOTodoView.html</filename>
    <base>KOrg::BaseView</base>
    <member kind="function">
      <type>Incidence::List</type>
      <name>selectedIncidences</name>
      <anchorfile>classKOTodoView.html</anchorfile>
      <anchor>ab770f897964318430ab1167f6d495bd9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DateList</type>
      <name>selectedIncidenceDates</name>
      <anchorfile>classKOTodoView.html</anchorfile>
      <anchor>a34acbb1355ef99bed5d90416f1b78558</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentDateCount</name>
      <anchorfile>classKOTodoView.html</anchorfile>
      <anchor>ab3b13cc8b0c97bee122c753cc9b62f08</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQPopupMenu *</type>
      <name>getCategoryPopupMenu</name>
      <anchorfile>classKOTodoView.html</anchorfile>
      <anchor>aa863ed8bc9779729fbf9a0f2f2ae4a1d</anchor>
      <arglist>(KOTodoViewItem *todoItem)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIncidenceChanger</name>
      <anchorfile>classKOTodoView.html</anchorfile>
      <anchor>af40867dbb8a525c06d7eecdac17a8a6e</anchor>
      <arglist>(IncidenceChangerBase *changer)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOTodoViewItem</name>
    <filename>classKOTodoViewItem.html</filename>
    <member kind="function">
      <type></type>
      <name>KOTodoViewItem</name>
      <anchorfile>classKOTodoViewItem.html</anchorfile>
      <anchor>a7eb7f2f4b4aeb6e5aebf25c2da499b85</anchor>
      <arglist>(TQListView *parent, Todo *todo, KOTodoView *kotodo)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOViewManager</name>
    <filename>classKOViewManager.html</filename>
    <member kind="function">
      <type>void</type>
      <name>showView</name>
      <anchorfile>classKOViewManager.html</anchorfile>
      <anchor>abbeec9f6f4219728cea3c612f41c80b7</anchor>
      <arglist>(KOrg::BaseView *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readCurrentView</name>
      <anchorfile>classKOViewManager.html</anchorfile>
      <anchor>ab7ddf1694f41ede765efd8d49745df06</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeCurrentView</name>
      <anchorfile>classKOViewManager.html</anchorfile>
      <anchor>a589c7bdd230457ad48cc5d4d1e57701e</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function">
      <type>AgendaMode</type>
      <name>agendaMode</name>
      <anchorfile>classKOViewManager.html</anchorfile>
      <anchor>a330ab6f603d37531b1eada9f811f062e</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOWhatsNextView</name>
    <filename>classKOWhatsNextView.html</filename>
    <base>KOrg::BaseView</base>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>currentDateCount</name>
      <anchorfile>classKOWhatsNextView.html</anchorfile>
      <anchor>aa179e455fc467cb6317c90f4e8152917</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Incidence::List</type>
      <name>selectedIncidences</name>
      <anchorfile>classKOWhatsNextView.html</anchorfile>
      <anchor>a35baddc08e86511dfcda0a1276540bf5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DateList</type>
      <name>selectedIncidenceDates</name>
      <anchorfile>classKOWhatsNextView.html</anchorfile>
      <anchor>a34282a53e7561f211a7cab74fa999cb0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>supportsDateNavigation</name>
      <anchorfile>classKOWhatsNextView.html</anchorfile>
      <anchor>aafbbce9987c646ed66502f2d6156bdb4</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOWindowList</name>
    <filename>classKOWindowList.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>addWindow</name>
      <anchorfile>classKOWindowList.html</anchorfile>
      <anchor>ac79831e20c942cced6a3a91bba00adbb</anchor>
      <arglist>(KOrg::MainWindow *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>removeWindow</name>
      <anchorfile>classKOWindowList.html</anchorfile>
      <anchor>ac8891958fe3d201726a4c08d3bdcaa23</anchor>
      <arglist>(KOrg::MainWindow *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOWindowList</name>
      <anchorfile>classKOWindowList.html</anchorfile>
      <anchor>a551b5acdab98f48a5c879fc450da69fc</anchor>
      <arglist>(const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>lastInstance</name>
      <anchorfile>classKOWindowList.html</anchorfile>
      <anchor>a426a21d3a6d8063929f46ef55b9f8c23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KOrg::MainWindow *</type>
      <name>findInstance</name>
      <anchorfile>classKOWindowList.html</anchorfile>
      <anchor>a0645fdf6a61e92d4d160f874354094d8</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>KOrg::MainWindow *</type>
      <name>defaultInstance</name>
      <anchorfile>classKOWindowList.html</anchorfile>
      <anchor>afe6861c0268c0efb921bc4ca7b8a8355</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOrg::MainWindow</name>
    <filename>classKOrg_1_1MainWindow.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>openURL</name>
      <anchorfile>classKOrg_1_1MainWindow.html</anchorfile>
      <anchor>a0819dc89122588efec0452fc5e78295a</anchor>
      <arglist>(const KURL &amp;url, bool merge=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>saveURL</name>
      <anchorfile>classKOrg_1_1MainWindow.html</anchorfile>
      <anchor>a3ee6e402685ec34e769f8c6bca027f4b</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>saveAsURL</name>
      <anchorfile>classKOrg_1_1MainWindow.html</anchorfile>
      <anchor>a6a49ee514c9e51e2b9b560862d829a92</anchor>
      <arglist>(const KURL &amp;kurl)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KURL</type>
      <name>getCurrentURL</name>
      <anchorfile>classKOrg_1_1MainWindow.html</anchorfile>
      <anchor>ac156a8c48605d96a157e246314782531</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KXMLGUIFactory *</type>
      <name>mainGuiFactory</name>
      <anchorfile>classKOrg_1_1MainWindow.html</anchorfile>
      <anchor>afa3e471e7ee9b84659d4918aabda663b</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KXMLGUIClient *</type>
      <name>mainGuiClient</name>
      <anchorfile>classKOrg_1_1MainWindow.html</anchorfile>
      <anchor>a1f264c589d127ede2a25ded1de840c3e</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQWidget *</type>
      <name>topLevelWidget</name>
      <anchorfile>classKOrg_1_1MainWindow.html</anchorfile>
      <anchor>adcdbd5b10de6cb935de16791264f20e2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ActionManager *</type>
      <name>actionManager</name>
      <anchorfile>classKOrg_1_1MainWindow.html</anchorfile>
      <anchor>a4ff40b0be71a5af98e0d628846ca7010</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TDEActionCollection *</type>
      <name>getActionCollection</name>
      <anchorfile>classKOrg_1_1MainWindow.html</anchorfile>
      <anchor>a3c0a192c19edf55a23fa15b27f3079c3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showStatusMessage</name>
      <anchorfile>classKOrg_1_1MainWindow.html</anchorfile>
      <anchor>aca897a74206bdce082d0c66b0b6e9cb4</anchor>
      <arglist>(const TQString &amp;message)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setTitle</name>
      <anchorfile>classKOrg_1_1MainWindow.html</anchorfile>
      <anchor>afbfad8cb0c095ec56c6914f66d9a54fd</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MonthViewCell</name>
    <filename>classMonthViewCell.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>newEventSignal</name>
      <anchorfile>classMonthViewCell.html</anchorfile>
      <anchor>aa759339c06393fa2d67f31dd0054ef93</anchor>
      <arglist>(ResourceCalendar *res, const TQString &amp;subResource, const TQDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDate</name>
      <anchorfile>classMonthViewCell.html</anchorfile>
      <anchor>af93d52fa6fc7a5bea3cb89dc9054876a</anchor>
      <arglist>(const TQDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQDate</type>
      <name>date</name>
      <anchorfile>classMonthViewCell.html</anchorfile>
      <anchor>a85cf0768685e193e9ddcd268896849db</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KOMonthView *</type>
      <name>monthView</name>
      <anchorfile>classMonthViewCell.html</anchorfile>
      <anchor>ad403ce866f98c337123295ff6ff10bdb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPrimary</name>
      <anchorfile>classMonthViewCell.html</anchorfile>
      <anchor>a10fa9167ee6bc5e60bbbe3dc56aaf542</anchor>
      <arglist>(bool primary)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPrimary</name>
      <anchorfile>classMonthViewCell.html</anchorfile>
      <anchor>a95dff6ccfccc42410d88f816684906a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHoliday</name>
      <anchorfile>classMonthViewCell.html</anchorfile>
      <anchor>a748d529ccbb5ffa6ccf6bfe0aaaabbd4</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHolidayString</name>
      <anchorfile>classMonthViewCell.html</anchorfile>
      <anchor>a47725b00da33a64cbecaf42edd6d7fcc</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addIncidence</name>
      <anchorfile>classMonthViewCell.html</anchorfile>
      <anchor>a6dcd149530a9c71bb3c19a16acefb641</anchor>
      <arglist>(Incidence *incidence, MonthViewCell::CreateItemVisitor &amp;v, int multiDay=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeIncidence</name>
      <anchorfile>classMonthViewCell.html</anchorfile>
      <anchor>a3593bc28415ab9999c215ef6490b8f0e</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOrg::MultiAgendaView</name>
    <filename>classKOrg_1_1MultiAgendaView.html</filename>
    <base>KOrg::AgendaView</base>
    <member kind="function">
      <type>Incidence::List</type>
      <name>selectedIncidences</name>
      <anchorfile>classKOrg_1_1MultiAgendaView.html</anchorfile>
      <anchor>a19e0b69d2ee6f1e6b219ee1766c08d1b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DateList</type>
      <name>selectedIncidenceDates</name>
      <anchorfile>classKOrg_1_1MultiAgendaView.html</anchorfile>
      <anchor>adc949b1b4efc77e548641dda4c6da8b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentDateCount</name>
      <anchorfile>classKOrg_1_1MultiAgendaView.html</anchorfile>
      <anchor>a5804cab83cdf06c15328ae4e04286e20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxDatesHint</name>
      <anchorfile>classKOrg_1_1MultiAgendaView.html</anchorfile>
      <anchor>ae9595d6e581a715272e25b6143e41c19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>eventDurationHint</name>
      <anchorfile>classKOrg_1_1MultiAgendaView.html</anchorfile>
      <anchor>aed3bf8f3d2f273689c8858aed999d2be</anchor>
      <arglist>(TQDateTime &amp;startDt, TQDateTime &amp;endDt, bool &amp;allDay)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Parsha</name>
    <filename>classParsha.html</filename>
  </compound>
  <compound kind="class">
    <name>KOrg::PrintPlugin</name>
    <filename>classKOrg_1_1PrintPlugin.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>description</name>
      <anchorfile>classKOrg_1_1PrintPlugin.html</anchorfile>
      <anchor>a4cbd53adcabae83fcfa20ab2281f67b9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>info</name>
      <anchorfile>classKOrg_1_1PrintPlugin.html</anchorfile>
      <anchor>a6cd13ea83d7c2253ba3475185e6a9201</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>sortID</name>
      <anchorfile>classKOrg_1_1PrintPlugin.html</anchorfile>
      <anchor>ae2d71117bb3e128458a9fca12161c878</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>enabled</name>
      <anchorfile>classKOrg_1_1PrintPlugin.html</anchorfile>
      <anchor>a64650dca8732b095153e9acd508684bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>doPrint</name>
      <anchorfile>classKOrg_1_1PrintPlugin.html</anchorfile>
      <anchor>a2230464211e856313abbe3044b7483c8</anchor>
      <arglist>(KPrinter *printer)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KPrinter::Orientation</type>
      <name>defaultOrientation</name>
      <anchorfile>classKOrg_1_1PrintPlugin.html</anchorfile>
      <anchor>a5a08aaf53ff26fc2f7e3b5b61b544a3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doLoadConfig</name>
      <anchorfile>classKOrg_1_1PrintPlugin.html</anchorfile>
      <anchor>a64d43682de76c9801cc09ebd2150801a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doSaveConfig</name>
      <anchorfile>classKOrg_1_1PrintPlugin.html</anchorfile>
      <anchor>ad05b8c9bde542277a6a48fd68a49be8d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readSettingsWidget</name>
      <anchorfile>classKOrg_1_1PrintPlugin.html</anchorfile>
      <anchor>af90f092c63561b411c9712e9e95516fd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSettingsWidget</name>
      <anchorfile>classKOrg_1_1PrintPlugin.html</anchorfile>
      <anchor>a411ce028368513e47397009379b1cf7e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setDateRange</name>
      <anchorfile>classKOrg_1_1PrintPlugin.html</anchorfile>
      <anchor>a48ff92b67a63f2ee923289305b3b5802</anchor>
      <arglist>(const TQDate &amp;from, const TQDate &amp;to)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KPrinter *</type>
      <name>mPrinter</name>
      <anchorfile>classKOrg_1_1PrintPlugin.html</anchorfile>
      <anchor>af2d9d6cb1f868742027da1c4bbbdc1a1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KCalendarIface::ResourceRequestReply</name>
    <filename>structKCalendarIface_1_1ResourceRequestReply.html</filename>
  </compound>
  <compound kind="class">
    <name>ResourceView</name>
    <filename>classResourceView.html</filename>
  </compound>
</tagfile>
